package com.ruoyi.project.training.elearn.service;

import java.util.List;
import com.ruoyi.project.training.elearn.domain.TElUserExam;

/**
 * 我的成绩Service接口
 * 
 * @author ssy
 * @date 2024-05-31
 */
public interface ITElUserExamService 
{
    /**
     * 查询我的成绩
     * 
     * @param id 我的成绩ID
     * @return 我的成绩
     */
    public TElUserExam selectTElUserExamById(Long id);

    /**
     * 查询我的成绩列表
     * 
     * @param tElUserExam 我的成绩
     * @return 我的成绩集合
     */
    public List<TElUserExam> selectTElUserExamList(TElUserExam tElUserExam);

    /**
     * 新增我的成绩
     * 
     * @param tElUserExam 我的成绩
     * @return 结果
     */
    public int insertTElUserExam(TElUserExam tElUserExam);

    /**
     * 修改我的成绩
     * 
     * @param tElUserExam 我的成绩
     * @return 结果
     */
    public int updateTElUserExam(TElUserExam tElUserExam);

    /**
     * 批量删除我的成绩
     * 
     * @param ids 需要删除的我的成绩ID
     * @return 结果
     */
    public int deleteTElUserExamByIds(Long[] ids);

    /**
     * 删除我的成绩信息
     * 
     * @param id 我的成绩ID
     * @return 结果
     */
    public int deleteTElUserExamById(Long id);
}
